Subject: Amazon order
From: Kim Shook <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 15 May 2025 20:59:50 +0000 (UTC)

I just ordered the Madison Park zuri soft plush comforter set in the gray and white from Amazon. Got it today, and I love it but the Shams are missing. Is there any way to just get the Shams sent to me, I really don't want to have to go through the hassle of sending it back Etc. Please let me know if that's an option. I'm attaching a copy of my Amazon order. Thank youKim Shook 503 930 8568 

Yahoo Mail: Search, Organize, Conquer